System Endpoints - VoV Deployer

Teradata VantageCore on Virtualization (VoV) Deployer Getting Started

Product
VoV Deployer
Release Number
Deployer 5.0
Published
March 2026
ft:locale
en-US
ft:lastEdition
2026-03-31
dita:mapPath
ijo1771527092730.ditamap
dita:ditavalPath
ayr1485454803741.ditaval
dita:id
ijo1771527092730

Get System Config

 GET /api/system/config

Response:

 {
    "default_paths": {
      "node_properties": "/tmp/vov-deployer/nodeITproperties.json", 
      "common_properties": "/tmp/vov-deployer/commonITproperties.json"
    },
    "vov_deployer_dir": "/tmp/vov-deployer"
 }

Get Host IP

GET /api/system/hostip

Response:

 {
    "hostip": "192.168.1.5"
 }

List Playbooks

 GET /api/system/playbooks

Response:

 {
    "standard": [
      "deploy-full-ecosystem-vms-kvm", 
      "redeploy-full-ecosystem-vms-kvm", 
      "deploy-full-ecosystem"
    ],
    "advanced": [
      "deploy-full-ecosystem-vms-kvm", 
      "deploy-configure-kvm",
      "deploy-tpa", 
      "cleanup-kvm"
    ]
 }